Subject: bug#44689: 28.0.50; Use appropriate face for Flymake unknown backend

From: João Távora <[email-masked]>
Date: Wed, 18 Nov 2020 08:29:22 +0000

On Wed, Nov 18, 2020, 05:58 Protesilaos Stavrou <[email-masked]>
wrote:

> On 2020-11-17, 16:30 +0000, João Távora <[email-masked]> wrote:
>
> >> [...]
> >>
> >> just to point out that the "?" is easy to get.
> >>
> >> On 'emacs -Q':
> >>
> >>     (require 'flymake)
> >>     (setq flymake-start-on-flymake-mode nil)
> >>
> >> Now visit an '*.el' file.  Activate 'flymake-mode' and check the
> >> modeline.
> >
> > Indeed, that's not a misconfiguration.  But I'd say it's an edge case:
> > normally one does want to start checking when enabling flymake, I just
> > kept that option there for backward compatibility.  I personally see no
> > use for it, do you?
>
> The fact that the option exists means that some people might be using
> it.  Is there any immediate downside to keeping it around?  Personally,
> I am fine with any decision you may take and agree that it is not what
> one would normally expect when activating 'flycheck-mode'.
>
> What I wanted to suggest when I opened this issue is merely this: if
> this "edge case" option remains present, please consider reviewing the
> face it uses (with 'mode-line-emphasis' being more appropriate than
> 'mode-line').
>

Yes, I am totally fine with changing the face, or using some other
character to indicate this situation. I just don't see it as super priority
because it's an odd setting to have, in my opinion, but patches welcome.

João